/* Structure */
table {
    width: 100%;
  }
  
  .mat-form-field {
    font-size: 14px;
    width: 100%;
  }

  .filter {
    margin-left: 5vw;
    width: fit-content;
    margin-top: 5vh;
  }

  mat-input-element{
    border-bottom-width: 1px !important;
    border-bottom-style: solid !important;
    border-bottom-color:  #05668d !important;
  }

  .table {
    width: 70%;
    margin-left: 10vw;
  }

  .paginator {
    float: left;
    margin-left: 30vw;
  }

  table td.mat-cell,
  td.mat-footer-cell, th {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color:  #00a896;
}

.action-btn {
  border-radius: 5px;
  border-style: none;
  color: white;
  background-color: #05668d;
  width: 5vw;
  height: fit-content;
  text-align: center !important;
  display: inline-block !important;
}

.action-btn:hover {
  color: #05668d;
  background-color: white;
  border-bottom: #05668d solid;
}

.edit {
  background-color: #087f23 !important;
}

.remove  {
  background-color: #7f0000 !important ;
}

.edit:hover {
  color: #087f23 !important;
  background-color: white !important;
  border-bottom: #087f23 solid !important;
}

.remove:hover {
  color: #7f0000 !important;
  background-color: white !important;
  border-bottom: #7f0000 solid !important;
}

.mat-icon {
  vertical-align: middle;
}